> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# veo generate video

> create a task to generate video



## OpenAPI

````yaml post /ai/gi/video/generate
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://ai.pmock.com/api
    description: Generated server url
security: []
tags:
  - name: 开放-百度视频生成
    description: 开放-百度视频生成
  - name: 开放-Grok开放接口
    description: 开放-Grok开放接口
  - name: 开放-Gemini开放接口
    description: 开放-Gemini开放接口
  - name: 开放-AI对话开放接口
    description: 开放-AI对话开放接口
  - name: 开放-Sora2开放接口
    description: 开放-Sora2开放接口
  - name: 开放-模型列表接口
    description: 开放-模型列表接口
  - name: 开放-OpenAi开放接口
    description: 开放-OpenAi开放接口
  - name: 开放-业务相关接口
    description: 开放-业务相关接口
  - name: 开放-任务开放接口
    description: 开放-任务开放接口
paths:
  /ai/gi/video/generate:
    post:
      tags:
        - 开放-Gemini开放接口
      summary: veo generate video
      description: create a task to generate video
      operationId: veoVideoGenerate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GeminiVeoVideoGenerateDTO'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RTaskResultVO'
components:
  schemas:
    GeminiVeoVideoGenerateDTO:
      type: object
      properties:
        prompt:
          type: string
          description: >-
            Video generated prompt words, currently only supporting English
            explanations
          minLength: 1
        action:
          type: string
          description: >-
            Video operation, one of the following: text2video, img2video,
            get1080p
          enum:
            - text2video
            - img2video
            - get1080p
          title: 'text2video : text2video; img2video : img2video; get1080p : get1080p'
        model:
          type: string
          description: >-
            If the model is veo31_fast_ingredients, an imageList (1-3 http (s)
            URLs) is required
          enum:
            - veo3_fast
            - veo2_fast
            - veo3_quality
            - veo2_quality
            - veo31_fast
            - veo31_quality
            - veo31_fast_ingredients
          title: >-
            veo3_fast; veo2_fast; veo3_quality; veo2_quality; veo31_fast;
            veo31_quality; veo31_fast_ingredients
        videoId:
          type: string
          description: >-
            VideoId is only required when operating as GET1080P; Otherwise
            prohibited
        imageList:
          type: array
          description: >-
            ImageList is only required when operating as IMG2VIDEO (1-2 http (s)
            URLs); Otherwise, it must be omitted or an empty array []
          items:
            type: string
        aspectRatio:
          type: string
          description: Aspect ratio：16:9、9:16
          enum:
            - '16:9'
            - '9:16'
          title: '16:9 : 16:9; 9:16 : 9:16'
        translation:
          type: boolean
          default: false
          description: >-
            Whether to enable automatic translation of prompt words, default
            value is false
      required:
        - action
        - model
        - prompt
    RTaskResultVO:
      type: object
      description: Unified return structure for response results
      properties:
        code:
          type: integer
          format: int32
          description: Response status code
          example: 200
        message:
          type: string
          description: Response message
        data:
          $ref: '#/components/schemas/TaskResultVO'
          description: Response result
        traceId:
          type: string
          description: Response traceId
    TaskResultVO:
      type: object
      properties:
        taskId:
          type: string
          description: taskId

````